package cokr.xit.ens.modules.common.ctgy.intgrnbill.support.code;

import cokr.xit.ens.core.code.CodeMapperType;


/**
 * <ul>
 * <li>업무 그룹명: 결제API - 이용시스템 응답 코드</li>
 * <li>설 명: </li>
 * <li>작성일: 2023. 2. 01. 오후 5:47:43
 * </ul>
 *
 * @author 박민규
 */
public enum PayUseSysResCd implements CodeMapperType {

    
    OK("성공"),
    
    
    GRNURL_FIND_FAILED("청구서링크생성 정보 조회 실패"),

    
    NOT_FOUND_PAYDATA("결제 정보 없음"),
    PAYDATA_FIND_FAILED("결제 정보 조회 실패"),


    
    NO_AMOUNT_PAYABLE("납부 가능 금액 없음"),
    OVERPAYABLE_AMOUNT("납부 가능 금액 초과"),
    NO_TARGET_PAYABLE("납부가능 대상 없음"),
    EXPIRED_DATE("납부기한 지나서 납부 불가"),
    FAILED_CHECK_INFO("납부 요청정보 조회 실패"),

    
    FAILED_SAVE_PAYRSLT("납부(결제)결과 저장 실패"),

    
    FAILED_SAVE_CANCELRSLT("결제취소결과 저장 실패"),


    ;

    private final String code;     
    private final String codeNm;   

    PayUseSysResCd(String codeNm) {
        this.code = this.name();
        this.codeNm = codeNm;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getCodeNm() {
        return this.codeNm;
    }
}
